cascading.flow.stream.duct

## Class DuctGraph.Ordinal

- java.lang.Object
- - cascading.flow.stream.duct.DuctGraph.Ordinal

- Enclosing class:
    DuctGraph

      public static class DuctGraph.Ordinal
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuctGraph.Ordinal(int count, int ordinal)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `int` | `getOrdinal()`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DuctGraph.Ordinal

          public DuctGraph.Ordinal(int count,
                           int ordinal)

  - ### Method Detail

    - #### getOrdinal

          public int getOrdinal()

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.